function varargout = densityvelocitylf2(varargin)
%    DENSITYVELOCITYLF2 Application M-file for densityvelocitylf2.fig
%    FIG = DENSITYVELOCITYLF2 launch densityvelocitylf2 GUI.
%    DENSITYVELOCITYLF2('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.0 02-Jul-2001 11:30:58

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = pushbutton1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.pushbutton1.

temp = findobj('Tag','popupmenu1');     choice = get(temp,'Value');
temp = findobj('Tag','edit1');    L = str2num(get(temp,'String'));
temp = findobj('Tag','edit2');    u_left = str2num(get(temp,'String'));
temp = findobj('Tag','edit3');    u_right = str2num(get(temp,'String'));
temp = findobj('Tag','edit4');    s_u = str2num(get(temp,'String'));
temp = findobj('Tag','edit5');    dx = str2num(get(temp,'String'));
temp = findobj('Tag','edit6');    dt = str2num(get(temp,'String'));
temp = findobj('Tag','edit7');    T = str2num(get(temp,'String'));
temp = findobj('Tag','edit8');    interval = str2num(get(temp,'String'));
temp = findobj('Tag','edit11');   pt = str2num(get(temp,'String'));
temp = findobj('Tag','edit12');   c = str2num(get(temp,'String'));
temp = findobj('Tag','edit13');   rho_left = str2num(get(temp,'String'));
temp = findobj('Tag','edit14');   rho_right = str2num(get(temp,'String'));
temp = findobj('Tag','edit15');   s_rho = str2num(get(temp,'String'));

fdensityvelocitylf(choice,L,u_left,u_right,s_u,dx,dt,T,interval,pt,c,rho_left,rho_right,s_rho);

%[y] = funct(n,x1,x2);
%x = linspace(x1,x2,n);
%y = x;
%figure(1);
%plot(x,y,'+');

% --------------------------------------------------------------------
function varargout = edit1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit1.



% --------------------------------------------------------------------
function varargout = edit2_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit2.



% --------------------------------------------------------------------
function varargout = edit3_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit3.



% --------------------------------------------------------------------
function varargout = pushbutton1_ButtondownFcn(h, eventdata, handles, varargin)
% Stub for ButtondownFcn of the uicontrol handles.pushbutton1.
%disp('pushbutton1 ButtondownFcn not implemented yet.')


% --------------------------------------------------------------------
function varargout = text2_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.text2.
%disp('text2 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit4_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit4.
%disp('edit4 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit5_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit5.
%disp('edit5 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit6_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit6.
%disp('edit6 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit7_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit7.
%disp('edit7 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit8_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit8.
%disp('edit8 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit9_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit9.
%disp('edit9 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = pushbutton5_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.pushbutton5.

% --------------------------------------------------------------------
function varargout = popupmenu1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.popupmenu1.
%disp('popupmenu1 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit11_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit11.
%disp('edit11 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit12_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit12.
%disp('edit12 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit13_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit13.
%disp('edit13 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit14_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit14.
%disp('edit14 Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = edit15_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.edit15.
%disp('edit15 Callback not implemented yet.')